# Types

Types

 - [GET /types/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/listtypes.md): This method will scan all types and and return them to the caller.
 - [POST /types/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/createtype.md): This method will auto-generate an ID and create a new type. If an ID is specified for the type, an error will be thrown.
 - [POST /types/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/deletetype.md): This method will delete a type with the specified ID.
 - [GET /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/gettype.md): This method will look up a type by the specified ID and return it back.
 - [PATCH /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/patchtype.md): This method will patch an existing type with the specified ID, using the HTTP PATCH specification.
 - [PUT /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/updatetype.md): This method will update an existing type with the specified ID.
